Loading...
Searching...
No Matches
GridMetaData Class Reference

This is a convenient class that allows for access to grid meta-data that are independent of the value type of a grid. That is, this class can be used to get information about a grid without actually knowing its ValueType. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

bool | isValid () const
uint64_t | gridSize () const
uint32_t | gridIndex () const
uint32_t | gridCount () const
const char * | shortGridName () const
GridType | gridType () const
GridClass | gridClass () const
bool | isLevelSet () const
bool | isFogVolume () const
bool | isPointIndex () const
bool | isPointData () const
bool | isMask () const
bool | isStaggered () const
bool | isUnknown () const
const Map & | map () const
const BBox< Vec3R > & | worldBBox () const
const BBox< Coord > & | indexBBox () const
Vec3R | voxelSize () const
int | blindDataCount () const
const GridBlindMetaData & | blindMetaData (uint32_t n) const
uint64_t | activeVoxelCount () const
const uint32_t & | activeTileCount (uint32_t level) const
uint32_t | nodeCount (uint32_t level) const
uint64_t | checksum () const
bool | isEmpty () const
Version | version () const

## Detailed Description

This is a convenient class that allows for access to grid meta-data that are independent of the value type of a grid. That is, this class can be used to get information about a grid without actually knowing its ValueType.

## Member Function Documentation

## activeTileCount()

const uint32_t & activeTileCount | ( | uint32_t | level | ) | const

inline

## activeVoxelCount()

uint64_t activeVoxelCount | ( |  | ) | const

inline

## blindDataCount()

int blindDataCount | ( |  | ) | const

inline

## blindMetaData()

const GridBlindMetaData & blindMetaData | ( | uint32_t | n | ) | const

inline

## checksum()

uint64_t checksum | ( |  | ) | const

inline

## gridClass()

GridClass gridClass | ( |  | ) | const

inline

## gridCount()

uint32_t gridCount | ( |  | ) | const

inline

## gridIndex()

uint32_t gridIndex | ( |  | ) | const

inline

## gridSize()

uint64_t gridSize | ( |  | ) | const

inline

## gridType()

GridType gridType | ( |  | ) | const

inline

## indexBBox()

const BBox< Coord > & indexBBox | ( |  | ) | const

inline

## isEmpty()

bool isEmpty | ( |  | ) | const

inline

## isFogVolume()

bool isFogVolume | ( |  | ) | const

inline

## isLevelSet()

bool isLevelSet | ( |  | ) | const

inline

## isMask()

bool isMask | ( |  | ) | const

inline

## isPointData()

bool isPointData | ( |  | ) | const

inline

## isPointIndex()

bool isPointIndex | ( |  | ) | const

inline

## isStaggered()

bool isStaggered | ( |  | ) | const

inline

## isUnknown()

bool isUnknown | ( |  | ) | const

inline

## isValid()

bool isValid | ( |  | ) | const

inline

## map()

const Map & map | ( |  | ) | const

inline

## nodeCount()

uint32_t nodeCount | ( | uint32_t | level | ) | const

inline

## shortGridName()

const char * shortGridName | ( |  | ) | const

inline

## version()

Version version | ( |  | ) | const

inline

## voxelSize()

Vec3R voxelSize | ( |  | ) | const

inline

## worldBBox()

const BBox< Vec3R > & worldBBox | ( |  | ) | const

inline